let inkr = 0;
let kiiratas = () => {
    inkr += 1;
    console.log(inkr);
}

setInterval(kiiratas, 3000);

let myPromise = new Promise((resolve, reject) => {
    let success = true;

    setTimeout(() => {
        if (success){
            resolve("A művelet sikeresen befejeződött.");
        } else {
            reject("Hiba történt a művelet során.");
        }
    }, 2000);
})

myPromise
    .then(result => {
        console.log(result);
    })
    .catch(error => {
        console.error(error);
    });